Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

AndroidアプリをPlayストアからインストールしようとしたときに、対応している端末・OSであるにもかかわらず「お使いの端末はこのバージョンに対応していません」なるメッセージが表示されてしまうことがあります。

それでインストールできない場合に、確認してみると解決につながるかもしれないポイントをまとめてみました。

※ここから先の内容は、AndroidおよびGoogleアカウントにおける正規の操作手順で解決を目指すものです。ですが操作の中にはデータの初期化などを行うものもあるため、自己責任でお願いします! 実行した場合の結果については一切責任を負いませんので、ご了承ください。

それから、このエラーメッセージで検索するとapkをダウンロードしてインストールさせようとするサイト、方法が多く見つかります。

それらについては正規の配布手段から外れる方法であることを覚えておいてください。ウィルスやスパイウェアがインストールされてしまう可能性もあり、さらに注意が必要です。実行されるのであれば、くれぐれもお気をつけください。

目次

  • 1 (2018/4/19) 4/19日のパズドラのアップデートで来られた方へ
  • 2 言語、地域、対応バージョンを確認する
    • 2.1 対応している要件を確認してみる
    • 2.2 言語設定を確認してみる
    • 2.3 GooglePlayから手持ちの端末が対応しているかを確認する
  • 3 Playストアのキャッシュを削除する
  • 4 Googleアカウントの再ログイン
  • 5 端末の初期化
  • 6 「ポケモンGO」で確認すること
    • 6.1 端末のOSが4.4以降であるかを確認する
    • 6.2 Intel CPU搭載端末はサポート対象外
  • 7 それでも解決しない場合
  • 8 +α:開発者側の対応

(2018/4/19) 4/19日のパズドラのアップデートで来られた方へ

パズドラの4/19日のアップデートでこの現象が発生しているようです。どうやら海外版のストアに飛ばされてしまっているらしい。

Ver14.1 Android端末のアップデートについて

Play Storeで検索するか、次のリンクからダウンロードを試してみて下さい。

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

パズル&ドラゴンズ

開発元:GungHo Online Entertainment, Inc.

無料

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

言語、地域、対応バージョンを確認する

対応している要件を確認してみる

まず念のため、インストールしたいアプリが使っている端末のOSに対応しているかを確認します。

パソコンのPlayストアからアプリのページを開き、一番下にある「Android要件」にある情報が、使っている端末に対応しているかを確認します。

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

もしも対応していないのであれば、それは本当に「お使いの端末はこのバージョンに対応していません」なので、あきらめるしかない。

言語設定を確認してみる

例えば「日本のみ」など、アプリによっては配信地域を限定している場合があります。端末要件を満たしていても、配信地域の制限で引っかかっている場合もあるため、自分の端末の言語設定などを見直してみると解決するかもしれません。

地域の判定については、タイムゾーンが一枚噛んでいるようです。

「設定 > 日付と時刻」から、タイムゾーンがきちんと設定されているか確認してみると良いです。

だいたいは「自動設定」になっており、それで問題ありません。ですが、白ロムなどで日本以外の地域が設定されていることがありまして。その場合はストアで弾かれる可能性がありますから、「自動設定」「日本」などにしてみると解決するかもしれません。

タイムゾーンがおかしいときは、同時に時刻もおかしくなっている(端末の時刻が9時間ずれていたりする)ので、そういった場合もこの設定項目を確認です。時計の時間そのものを直す前に、こちらを確認してみてください。

GooglePlayから手持ちの端末が対応しているかを確認する

端末と同じGoogleアカウントで、パソコンからPlayストアを開いてみると、手持ちの端末にそのアプリがインストールできるかどうか、チェックすることができます。

アプリ名の下に「このアプリはお使いのすべての端末に対応しています」とあり、緑の「インストール」ボタンを押したときに対象端末が選択できるなら、Android端末側のPlayストアがバグってるだけかもしれません。

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

この場合は、後述するPlayストアのキャッシュクリアや、Googleアカウントの再ログインを試してみると良いでしょう。

Playストアのキャッシュを削除する

Android端末設定の「アプリ」から、「Google Playストア」を開きます。

(Android設定項目は、端末によってまちまちになっています。各自それっぽい項目を探してください…)

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

写真はXperia Z1の4.4.2のものになります。ここにある「キャッシュを削除」を行ってから、ホーム画面に戻りPlayストアを開いてみます。

これでアプリがインストールできるようになっていれば良し。駄目なら端末の再起動をしてみます。

再起動後にPlayストアを起動してみて、まだ駄目なら「データを削除」。Playストアを起動。

それでもアプリがインストールできないなら「アップデートの削除」を行い、Playストアを起動。

アップデートの削除を行うとPlayストアは古いバージョンになってしまう(端末購入時のバージョンに戻る)ので、Playストアのメニューから「設定 > ビルドバージョン」をタップします。

すると、Playストアの更新が確認され、しばらくすると最新バージョンに更新されます。

(古いPlayストアのバージョン(3.7.15)では、タップしても何も出なかったのですがその後すぐにバージョンアップされました。偶然なのかもしれませんが、隠し機能だったのかもしれません)

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

最新版の場合はこのように、「Google Play ストアは最新の状態です」となります。

(アップデートの方法は、たが様から教えていただきました。情報ありがとうございます!)

「Google Play 開発者サービス」というアプリで、同じようにアップデートを削除してみるのも、端末によっては有効かもしれません。(原因がはっきりしないので、おまじないのようなものですが…)

Google play 開発 者 サービス ar お 使い の デバイス は この バージョン に 対応 し てい ませ ん

また、このPlayストアの対処方法については、今回のアプリインストールに関するトラブル時だけではなく、Playストアの動作がおかしいときの対処法として使える場合があります。

例えば「課金アイテムを購入した後、「すでに購入済みです」と表示されて追加購入できない」といった場合に試してみると解決するかもしれません。

Googleアカウントの再ログイン

端末の設定から、「アカウント > Google」を選び、自分のアカウントを選択してメニューから「アカウントを削除」

で、またGoogleアカウントを登録してみます。これで治る場合があるらしい。

これを行うと、ダウンロードされていたアプリデータやらGmailのメールやら何やらがいったん削除されてしまうので再ダウンロードの時間が掛かってしまいます。

Gmailやアプリの購入履歴などはクラウドに保存されているので、消えるわけではありません。しかしアプリやゲームのデータについては、ログアウトした時点でどうなっていたかわからない…すまない…確かそのまま残っていた(でもダウンロードしたGoogleアカウントでないとアクセスできない)状態になっていたと思ったが…

ですからこの方法を試す場合は、引き継ぎコードの発行やデータのバックアップを行ってから実行してくださるよう、お願いいたします。

端末の初期化

いちばんつよい。というかこれで駄目なら駄目だと思う。

「設定 > バックアップとリセット」から「データの初期化」を選択して進めていきます。

端末にあるデータは全て消失し、購入したときの状態に戻ります。

これもGmailなどクラウド上にあるデータは後から戻せますが、その他引き継ぎコードの発行やデータのバックアップを行ってから、お試し下さい。

「ポケモンGO」で確認すること

端末のOSが4.4以降であるかを確認する

「ポケモンGO」がリリースされてから、このトラブルでアクセスしてくる方が急増しております。それについて追記します。

「ポケモンGO」の動作要件はAndroid 4.4以上となっていまして、このバージョンより下の端末ではOSのバージョンアップが必須となります。

4.4がリリースされたのは2013年10月、最初からインストールされた機種が出始めたのは2014年5月頃のようです。

目安として、だいたい2014年5月頃より以前に発売された端末をお使いの場合は、まず現在のバージョンを確認してみるのがよいでしょう。

「設定 > 端末情報 > Androidバージョン」にある番号が4.4以上であればひとまずOKです。

もしバージョンが4.4より下だった場合は、その端末がアップデートで4.4以上にできるかを確認しないといけません。これは「設定 > 端末情報 > Androidバージョンアップ」や「システムアップデート」をしてみたり、メーカーのサイトで確認してみたりしてみてください。4.4にアップデートできなければ対応端末外となります…

(端末のアップデート手順は、それぞれ項目などが違うかもしれません。このあたりはお持ちの端末に合わせて調べてみて下さい…)

端末のOSアップデート一覧は、Wikipediaにもあります。こちらも確認してみるとよいでしょう。

「設定 > 端末情報 > モデル番号」にある文字列がメーカーの型番となっていますから、それで照合してみてください。

対応している端末の場合は、キャッシュのクリアやGoogleアカウントのログアウト/ログインを試してみると、インストールできるようになる場合があります。

Intel CPU搭載端末はサポート対象外

Pokémon GO の動作推奨環境によると、

Intel CPU搭載端末はサポート対象外

とあります。

Intel CPU…と言われてもピンとこないかもしれません。具体的には、スペックに「Intel Atom」と書いてある端末です。例えばZenForn2。主にASUSの端末、ZenFoneシリーズ。あとはLenovoとか。DellやNEC、東芝のタブレットにもごく一部あるみたい。

こちらの機種の場合は…残念ながら今のところ、動作しなければ買い換えるより他ないと思われます。

CPUを指定してサポート外としてくるところから、ARM用に最適化されていることが予想されます。そうであればNANTECがAtomに別途対応しないと動作するようになるには難しいし、すぐの対応も期待できないでしょう。

さらにIntel、Atomプロセッサ撤退とか言っているので…撤退するCPUにわざわざ対応してくれないのでは。わかりませんが…

自分の端末がどのプロセッサを積んでいるのかは、端末の情報からは確認できません。ですので、その端末の型番などで検索して調べることになります。

また、ベンチマークソフトなどのアプリが情報を拾ってきてくれる場合もあります。

例えばAntutu Benchmarkでは「デバイス情報 > CPUモデル」にプロセッサの種類が表示されます。(Atom端末持ってないので確認できませんが…たぶんIntelとかAtomとか記載されてるはず…)

それでも解決しない場合

解決しない場合は、アプリのサポートに問い合わせを行うことをお勧めします。

アプリ側の動作要件や設定として、動作端末やOSバージョンなどを指定していることはあります。

また意図せず設定した内容や特別な設定を行わなかったことが、特定の端末の動作に影響してしまっていることも可能性としてはあります。

使用している機種を開発元に伝えて、対応状況を確認してみると解決に繋がるかもしれません。

アプリのGooglePlayでは下の方に「開発元」の項目があり、ウェブサイトへアクセスやメールを送信することができます。ブラウザのGooglePlayであれば、「開発元」の項目にウェブサイトやメールアドレスが記載されています。

開発元も、なるべく多くの端末でアプリが動いて欲しいと思っているはずです。

何か理由があって非対応にしている場合は仕方ないとしても、そうでなければ可能な限り動作できるよう尽力してくれます。

Androidは端末の種類が膨大なので、意図せず動かない場合があるかもしれません。実機を持っている方からの報告はそれだけで対応に前進する情報でもあります。

面倒かもしれませんが、開発者としてもご報告お待ちしております。

+α:開発者側の対応

もし自分の開発したアプリで、インストールできるはずの端末にインストールされない、と問い合わせが来たとき。

AndroidManifest.xmlで、サポートしているスクリーンの設定を行うと対応できることもあるようです。

色々と調べた結果、次の2つを施せば表示されるっぽいです。
・AndroidManifest.xmlに
<supports-screens
android:anyDensity="true"
android:largeScreens="true"
android:normalScreens="true"
android:smallScreens="true"
android:xlargeScreens="true" />
を入れとく。
・GooglePlayの「ストアの掲載情報」の中の
7-inch tablet、10-inch tabletにも画像を入れる。
(もしかしたらこれだけでも良いかも。。)

「お使いの端末はこのバージョンに対応していません」の原因と対策

特定の端末でインストールできない場合は、このあたりを確認して付き合わせてみると解決できるかもですね…

お使いのデバイスはこのバージョンに対応していませんどうすればいい?

「お使いのデバイスはこのバージョンに対応していません」の解決方法!.
前提:Androidバージョン要件を満たしていない場合.
解決策①:Android本体を再起動する.
解決策②:Wi-Fiへ再接続する.
解決策③:Androidのストレージ空き容量を確認する.

Google Play開発者サービスの更新方法は?

[アプリをすべて表示] をタップします。 下にスクロールして [Google Play 開発者サービス] をタップします。 下にスクロールして [アプリの詳細] をタップします。 [更新] または [インストール] をタップします。

お使いのデバイスはこのバージョンに対応していません どういうこと?

お使いの端末はこのバージョンに対応していません」と表示された場合は、お使いAndroidのOSがAndroid5.0以上ではない可能性があります。 なお、アップデートの際、通信や端末状況により稀に初期化されてしまうことがあります。

デバイスのバージョンアップ方法は?

最新の Android アップデートを入手する.
スマートフォンの設定アプリを開きます。.
画面下部の [システム] [システム アップデート] をタップします。.
アップデートのステータスが表示されます。 画面に表示される手順に沿って操作します。.